## Script (Python) "forum_snap_selected_messages"
##bind container=container
##bind context=context
##parameters=Ids=[], REQUEST=None

def generate_id(self):
    """Find an available id"""
    id = DateTime().millis()
    str_id = 'msg_%s'
    while hasattr(self, str_id % id):
        id = DateTime().millis()
        
    return str_id % id

mcat = context.portal_messages
title_header = mcat('_forum_discussion:')

#
# Generate new SnapShot for each selected thread
#
for i in Ids:
    current_message = getattr(context, i)
    new_id = generate_id(context)
    current_title = '%s %s' % (title_header, current_message.title)
    snapshot = context.createSnapShot(id=new_id, title=current_title, thread=current_message)

#
# Redirection to the folder content view 
#
if REQUEST is not None:
    REQUEST.RESPONSE.redirect("%s/view" % (snapshot.absolute_url(),))
