##############################################################################
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
# 
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
# 
##############################################################################
"""
Scheduler initialization routines

$Id: __init__.py,v 1.1 2003/03/12 11:02:29 smigniot Exp $
"""

__version__='$Revision: 1.1 $'[11:-2]

from Products.CMFCore.DirectoryView import registerDirectory
from interfaces.IScheduler import IScheduler
from interfaces.IScheduler import IScheduledEvent
from interfaces.IScheduler import IDescheduledEvent
from interfaces.IScheduler import ITimeEvent

import Scheduler, SchedulerPermissions

registerDirectory('skins', globals())

def initialize(context):
    context.registerClass(
        Scheduler.Scheduler,
        permission=SchedulerPermissions.ADD_SCHEDULER_PERM,
        constructors=(Scheduler.manage_addSchedulerForm,
                      Scheduler.manage_addScheduler),
        icon = 'www/clock.gif'
        )


