import unittest
import Zope
from Testing import makerequest

import Forum

class ForumTestCase(unittest.TestCase):
    def setUp(self):
        self.forum = Forum.Forum('forum', 'title')

    def testAttributes(self):
        self.assert_(self.forum.isprivate == 0)
        self.assert_(self.forum.attachments_allowed == 1)
        self.assert_(self.forum.isprio_moderation == 1)
        self.assert_(self.forum.sorting == 'date')
        self.assert_(self.forum.msg_per_page == 15)
        self.assert_(self.forum.image == None)
        self.assert_(not self.forum.isDocumentContainer)
        self.assert_(not self.forum.isPrincipiaFolderish)

    def testSomeMethods(self):
        self.assert_(self.forum.getForumImage() == None)
        self.assert_(self.forum.getForum() == self.forum)

    def testSetForumProperties(self):
        self.forum.setForumProperties(1, 0, 0, 0, 'toto', 20) 
        self.assert_(self.forum.isprivate == 1)
        self.assert_(self.forum.attachments_allowed == 0)
        self.assert_(self.forum.isprio_moderation == 0)
        self.assert_(self.forum.sorting == 'toto')
        self.assert_(self.forum.msg_per_page == 20)

