# reparse documents according to plugins

from AccessControl import Unauthorized
from Products.NuxDocument.NuxDocument import NuxDocument

count = 0
tot = 0

def reparse(self, all=0):
    """Reparse NuxDocuments from this point."""
    global count, tot
    count = 0
    tot = 0
    context = self
    if not context.REQUEST.AUTHENTICATED_USER.has_role('Manager'):
        raise Unauthorized, "You must be Manager"
    _reparse(context, all)
    return '%d documents reparsed out of %d' % (count, tot)

def _reparse(context, all):
    if isinstance(context, NuxDocument):
        _reparse_one(context, all)
    # recurse
    for ob in context.objectValues():
        _reparse(ob, all)

def _reparse_one(ob, all):
    global count, tot
    tot += 1
    if not all:
        # don't reconvert something that already has been converted
        if ob._text and ob._html:
            return 0
    ob.convert()
    count += 1
    if not (count % 20):
        # commit subtransaction
        get_transaction.commit(1)
    return 1
