##parameters=dirname, REQUEST=None

portal = context.portal_url.getPortalObject()
directories = portal.portal_metadirectories
directory = getattr(directories,dirname)

new_entry = REQUEST.form
del new_entry['dirname']

directory.processBinaryForm(new_entry)

returns = directory.createEntry(new_entry)
if same_type(returns, ''):
    entry_id = returns
    malformed_properties = None
else:
    entry_id = None
    malformed_properties = returns


if REQUEST is not None:
    session_key = 'malformed_' + dirname
    if malformed_properties:
        REQUEST.SESSION[session_key] = {
            'malformed_properties': malformed_properties,
            'entry': new_entry,
            }
        REQUEST.RESPONSE.redirect(portal.absolute_url() + "/%s?dirname=%s&create=1&malformed=1" % (directory.edit_template, dirname))
    else:
        if REQUEST.SESSION.has_key(session_key):
            del REQUEST.SESSION[session_key]
        REQUEST.RESPONSE.redirect(portal.absolute_url() + "/%s?dirname=%s&entry_id=%s" % (directory.entry_template, dirname, entry_id))
else:
    return malformed_properties
