import os
from App.Extensions import getPath
from re import match
import zLOG


def logf(summary, message='', severity=0):
    summary = '[' + str(summary) + ']'
    if message:
        message = str(message)+ '\n'
    zLOG.LOG('Forum: ',severity,summary, message)


def schedulerupdate(self):
    logf("START: Scheduler UPDATE")
    log = []
    pr = log.append
    def prok(pr=pr):
        pr(" Already correctly installed")

    pr("<html><head><title>Scheduler Update</title></head><body><pre>")

    pr("Starting Scheduler update")

    pr("")
    pr("### CPS update")

    pr(self.cpsupdate())

    pr("### End of CPS update")
    pr("")
    pr("Starting specific Scheduler updates")

    portal = self.portal_url.getPortalObject()
    # install additional portal_tools

    if not 'portal_subscription' in portal.objectIds():
        pr("  Creating portal_subscription tool")
        portal.manage_addProduct['NuxCPSSubscription'].manage_addTool('Portal Subscription Tool')

    # skins
    skins = ('scheduler',)
    paths = {
        'scheduler': 'Products/Scheduler/skins',
    }

    for skin in skins:
        path = paths[skin]
        path = path.replace('/', os.sep)
        pr(" FS Directory View '%s'" % skin)
        if skin in portal.portal_skins.objectIds():
            dv = portal.portal_skins[skin]
            oldpath = dv.getDirPath()
            if oldpath == path:
                prok()
            else:
                pr("  Correctly installed, correcting path")
                dv.manage_properties(dirpath=path)
        else:
            portal.portal_skins.manage_addProduct['CMFCore'].manage_addDirectoryView(filepath=path, id=skin)
            pr("  Creating skin")
    allskins = portal.portal_skins.getSkinPaths()
    for skin_name, skin_path in allskins:
        if skin_name != 'Basic':
            continue
        path = [x.strip() for x in skin_path.split(',')]
        path = [x for x in path if x not in skins] # strip all
        if path and path[0] == 'custom':
            path = path[:1] + list(skins) + path[1:]
        else:
            path = list(skins) + path
        npath = ', '.join(path)
        portal.portal_skins.addSkinSelection(skin_name, npath)
        pr(" Fixup of skin %s" % skin_name)

    # importing .po files
    mcat = portal.portal_messages
    pr(" Checking available languages")
    podir = os.path.join('Products', 'Scheduler')
    popath = getPath(podir, 'Install')
    if popath is None:
        pr(" !!! Unable to find .po dir")
    else:
        pr("  Checking installable languages")
        langs = []
        avail_langs = mcat.get_languages()
        pr("    Available languages: %s" % str(avail_langs))
        for file in os.listdir(popath):
            if file.endswith('.po'):
                m = match('^.*([a-z][a-z])\.po$', file)
                if m is None:
                    pr( '    Skipping bad file %s' % file)
                    continue
                lang = m.group(1)
                if lang in avail_langs:
                    lang_po_path = os.path.join(popath, file)
                    lang_file = open(lang_po_path)
                    pr("    Importing %s into '%s' locale" % (file, lang))
                    mcat.manage_import(lang, lang_file)
                else:
                    pr( '    Skipping not installed locale for file %s' % file)

    
    pr("End of specific Scheduler updates")

    pr("</pre></body></html>")
    logf("END: Scheduler UPDATE")
    return '\n'.join(log)

